sonar.projectName=Gravitee.io Access Management
sonar.projectKey=gravitee-io_graviteeio-access-management
sonar.organization=gravitee-io
sonar.host.url=https://sonarcloud.io

# Disable enable summary comment
sonar.pullrequest.github.summary_comment=false

# Path to sources
sonar.sources=.
sonar.java.binaries=**/target/**

#Include only Java source files
sonar.inclusions=**/*.java

# Exclude the whole coverage module as it is needed only for code coverage purpose
sonar.exclusions= **/pom.xml,\
   **/target/**,\
   gravitee-am-ui/**,\
   gravitee-am-model/**,\
   gravitee-am-service/src/main/java/io/gravitee/am/service/model/**\
   gravitee-am-performance/**,\
   gravitee-am-test/**,\
   gravitee-am-fapi-resource-api/**,\
   gravitee-am-ciba-delegated-service/**,\
   gravitee-am-management-api/gravitee-am-management-api-standalone/gravitee-am-management-api-standalone-distribution/**, \
   gravitee-am-gateway/gravitee-am-gateway-standalone/gravitee-am-gateway-standalone-distribution/**, \
   gravitee-am-gateway/gravitee-am-gateway-handler/gravitee-am-gateway-handler-common/src/main/java/io/gravitee/am/gateway/handler/common/spring/** \
   gravitee-am-repository/**, \
   **/assembly.xml,\
   **/src/main/resources,\
   **/src/test/**,\
   postman/**,\
   assets/**,\
   Makefile,\
   docs/**,\
   .circleci/**,\
   .github/**,\
   .gitignore,\
   docker/**

# Source encoding
sonar.language=java
sonar.sourceEncoding=UTF-8

# Test
sonar.test=.
sonar.test.inclusions=**/*Test.java
sonar.test.exclusions=gravitee-am-repository/**
sonar.coverage.jacoco.xmlReportPaths=**/target/site/jacoco/jacoco.xml

